import { AnyJson } from '@salesforce/ts-types';
import { flags } from '@salesforce/command';
import SFPowerkitCommand from '../../../sfpowerkitCommand';
export default class Login extends SFPowerkitCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        username: flags.Discriminated<flags.String>;
        password: flags.Discriminated<flags.String>;
        securitytoken: flags.Discriminated<flags.String>;
        url: flags.Discriminated<flags.Url>;
        alias: flags.Discriminated<flags.String>;
    };
    loginUrl: string;
    password: string;
    execute(): Promise<AnyJson>;
}
