import { Connection } from '@salesforce/core';
import { AnyJson } from '@salesforce/ts-types';
import SFPowerkitCommand from '../../../sfpowerkitCommand';
export default class HealthCheck extends SFPowerkitCommand {
    static description: string;
    static examples: string[];
    protected static requiresUsername: boolean;
    execute(): Promise<AnyJson>;
    getOrgHealthScore(conn: Connection): Promise<any>;
    getOrgHealthHighRisks(conn: Connection): Promise<any>;
    getOrgHealthMediumRisks(conn: Connection): Promise<any>;
    getOrgHealthLowRisks(conn: Connection): Promise<any>;
    getInformationalRisks(conn: Connection): Promise<any>;
}
export declare class HealthResult {
    score: number;
    highriskitems: string[];
    mediumriskitems: string[];
    lowriskitems: string[];
    informationalriskitems: string[];
    constructor();
}
