import { flags } from '@salesforce/command';
import { AnyJson } from '@salesforce/ts-types';
import SfpowerkitCommand from '../../../../sfpowerkitCommand';
export default class Info extends SfpowerkitCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        name: flags.Discriminated<flags.String>;
        showonlylatest: flags.Discriminated<flags.Boolean<boolean>>;
    };
    protected static requiresDevhubUsername: boolean;
    execute(): Promise<AnyJson>;
    private getSandboxInfo;
    private processSandboxInfo;
    private getDetailedSandboxInfo;
}
