import { flags } from '@salesforce/command';
import { AnyJson } from '@salesforce/ts-types';
import { Connection } from '@salesforce/core';
import SfpowerkitCommand from '../../../../sfpowerkitCommand';
export default class Refresh extends SfpowerkitCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        name: flags.Discriminated<flags.String>;
        clonefrom: flags.Discriminated<flags.String>;
        licensetype: flags.Discriminated<flags.String>;
    };
    protected static requiresDevhubUsername: boolean;
    execute(): Promise<AnyJson>;
    getSandboxId(conn: Connection, name: string): Promise<any>;
}
