import { flags } from '@salesforce/command';
import SFPowerkitCommand from '../../../../sfpowerkitCommand';
export default class List extends SFPowerkitCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        filterpaths: flags.Discriminated<flags.Array<string>>;
        updateproject: flags.Discriminated<flags.Boolean<boolean>>;
        usedependencyvalidatedpackages: flags.Discriminated<flags.Boolean<boolean>>;
    };
    protected static requiresDevhubUsername: boolean;
    protected static requiresProject: boolean;
    execute(): Promise<any>;
    private getPackageVersionDetails;
    private validateVersionNumber;
}
