import { flags } from '@salesforce/command';
import { AnyJson } from '@salesforce/ts-types';
import SfpowerkitCommand from '../../../../sfpowerkitCommand';
export default class Info extends SfpowerkitCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        apiversion: flags.Builtin;
        loglevel: flags.Discriminated<flags.Enum<string>>;
    };
    protected static requiresUsername: boolean;
    static readonly supportsDevhubUsername = true;
    execute(): Promise<AnyJson>;
}
