import { flags } from '@salesforce/command';
import { AnyJson } from '@salesforce/ts-types';
import SFPowerkitCommand from '../../../sfpowerkitCommand';
export default class Fetch extends SFPowerkitCommand {
    static description: string;
    protected static requiresDevhubUsername: boolean;
    static examples: string[];
    protected static flagsConfig: {
        tag: flags.Discriminated<flags.String>;
        mypool: flags.Discriminated<flags.Boolean<boolean>>;
        alias: flags.Discriminated<flags.String>;
        sendtouser: flags.Discriminated<flags.String>;
        setdefaultusername: flags.Discriminated<flags.Boolean<boolean>>;
        loglevel: flags.Discriminated<flags.Enum<string>>;
    };
    execute(): Promise<AnyJson>;
}
