import { flags } from '@salesforce/command';
import { AnyJson } from '@salesforce/ts-types';
import SFPowerkitCommand from '../../../../sfpowerkitCommand';
export default class Create extends SFPowerkitCommand {
    customlabel_fullname: string;
    customlabel_categories: string;
    customlabel_language: string;
    customlabel_protected: boolean;
    customlabel_shortdescription: string;
    customlabel_value: string;
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        fullname: flags.Discriminated<flags.String>;
        value: flags.Discriminated<flags.String>;
        categories: flags.Discriminated<flags.String>;
        language: flags.Discriminated<flags.String>;
        protected: flags.Discriminated<flags.String>;
        shortdescription: flags.Discriminated<flags.String>;
        package: flags.Discriminated<flags.String>;
        ignorepackage: flags.Discriminated<flags.Boolean<boolean>>;
        loglevel: flags.Discriminated<flags.Enum<string>>;
    };
    protected static requiresUsername: boolean;
    protected static requiresProject: boolean;
    execute(): Promise<AnyJson>;
}
