import { AnyJson } from '@salesforce/ts-types';
import { flags } from '@salesforce/command';
import SfpowerkitCommand from '../../../../sfpowerkitCommand';
export default class Generatepatch extends SfpowerkitCommand {
    protected static requiresProject: boolean;
    private folderPath;
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        package: flags.Discriminated<flags.String>;
        loglevel: flags.Discriminated<flags.Enum<string>>;
    };
    execute(): Promise<AnyJson>;
    private generatePatchForCustomPicklistField;
    private generatePatchForRecordTypes;
    private generateStaticResource;
}
