import { MetadataSummary } from '../metadata/retriever/metadataSummaryInfoFetcher';
import { Connection } from 'jsforce';
export default class DependencyImpl {
    static getDependencyMapById(conn: Connection, refMetadata: string[]): Promise<{
        dependencyMap: Map<string, string[]>;
        dependencyDetailsMap: Map<string, MetadataSummary>;
    }>;
    static getDependencyMapByType(conn: Connection, refMetadata: string[]): Promise<{
        dependencyMap: Map<string, string[]>;
        dependencyDetailsMap: Map<string, MetadataSummary>;
    }>;
    private static fetchDependencies;
    static getMemberVsPackageMap(conn: Connection): Promise<Map<string, string>>;
    static getPackageVsMemberMap(conn: Connection): Promise<Map<string, string[]>>;
    static getMemberFromPackage(conn: Connection, packageId: string): Promise<string[]>;
    static getMemberVsPackageNameMapByKeyPrefix(conn: Connection, subjectKeyPrefixList: string[]): Promise<Map<string, string>>;
}
