import { flags } from '@salesforce/command';
import SFPowerkitCommand from '../../../../sfpowerkitCommand';
import { AnyJson } from '@salesforce/ts-types';
export default class Create extends SFPowerkitCommand {
    connectedapp_consumerKey: string;
    connectedapp_certificate: string;
    connectedapp_label: string;
    connectedapp_email: string;
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        name: flags.Discriminated<flags.String>;
        pathtocertificate: flags.Discriminated<flags.String>;
        email: flags.Discriminated<flags.String>;
        loglevel: flags.Discriminated<flags.Enum<string>>;
    };
    protected static requiresUsername: boolean;
    execute(): Promise<AnyJson>;
    createConsumerKey(): string;
}
