import { FlagsConfig } from '@salesforce/command';
import { AnyJson } from '@salesforce/ts-types';
import SFPowerkitCommand from '../../../sfpowerkitCommand';
export default class OrgCoverage extends SFPowerkitCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: FlagsConfig;
    protected static requiresUsername: boolean;
    execute(): Promise<AnyJson>;
    private getApexCoverage;
    private getApexCoverageByDetails;
    private percentCalculate;
    private getComments;
    private generateJsonOutput;
    private generateCSVOutput;
    private getmetadataVsPackageMap;
}
export declare class ApexCoverage {
    coverage: number;
}
