import { AnyJson } from '@salesforce/ts-types';
import { flags } from '@salesforce/command';
import SfpowerkitCommand from '../../../../sfpowerkitCommand';
export default class Activate extends SfpowerkitCommand {
    connectedapp_consumerKey: string;
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        name: flags.Discriminated<flags.String>;
        loglevel: flags.Discriminated<flags.Enum<string>>;
    };
    protected static requiresUsername: boolean;
    execute(): Promise<AnyJson>;
}
