import { flags } from '@salesforce/command';
import { AnyJson } from '@salesforce/ts-types';
import SfpowerkitCommand from '../../../../sfpowerkitCommand';
export default class CodeCoverage extends SfpowerkitCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        package: flags.Discriminated<flags.String>;
        versionnumber: flags.Discriminated<flags.String>;
        versionid: flags.Discriminated<flags.Array<string>>;
        apiversion: flags.Builtin;
        loglevel: flags.Discriminated<flags.Enum<string>>;
    };
    protected static requiresDevhubUsername: boolean;
    execute(): Promise<AnyJson>;
}
