import { flags } from '@salesforce/command';
import { AnyJson } from '@salesforce/ts-types';
import SfpowerkitCommand from '../../../sfpowerkitCommand';
export default class Delete extends SfpowerkitCommand {
    static description: string;
    protected static requiresDevhubUsername: boolean;
    static examples: string[];
    protected static flagsConfig: {
        tag: flags.Discriminated<flags.String>;
        mypool: flags.Discriminated<flags.Boolean<boolean>>;
        allscratchorgs: flags.Discriminated<flags.Boolean<boolean>>;
        inprogressonly: flags.Discriminated<flags.Boolean<boolean>>;
        loglevel: flags.Discriminated<flags.Enum<string>>;
    };
    execute(): Promise<AnyJson>;
}
