import { flags } from '@salesforce/command';
import { AnyJson } from '@salesforce/ts-types';
import SfpowerkitCommand from '../../../../sfpowerkitCommand';
export default class Merge extends SfpowerkitCommand {
    output: Map<string, string[]>;
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        path: flags.Discriminated<flags.Array<string>>;
        manifest: flags.Discriminated<flags.String>;
        apiversion: flags.Builtin;
        loglevel: flags.Discriminated<flags.Enum<string>>;
    };
    execute(): Promise<AnyJson>;
    processMainfest(dir: string): Promise<void>;
    setOutput(key: string, values: string[]): void;
    createpackagexml(manifest: any[]): void;
}
