import { ApexParserListener, AnnotationContext, InterfaceDeclarationContext, ClassDeclarationContext } from 'apex-parser';
export default class ApexTypeListener implements ApexParserListener {
    private apexType;
    enterAnnotation(ctx: AnnotationContext): void;
    enterInterfaceDeclaration(ctx: InterfaceDeclarationContext): void;
    enterClassDeclaration(ctx: ClassDeclarationContext): void;
    getApexType(): ApexType;
}
interface ApexType {
    class: boolean;
    testClass: boolean;
    interface: boolean;
}
export {};
