import { SfdxCommand } from '@salesforce/command';
/**
 * A base class that provides common funtionality for sfpowerscripts commands
 *
 * @extends SfdxCommand
 */
export default abstract class SfpowerkitCommand extends SfdxCommand {
    static isJsonFormatEnabled: boolean;
    static logLevel: any;
    private sfpowerkitConfig;
    /**
     * Command run code goes here
     */
    abstract execute(): Promise<any>;
    /**
     * Entry point for the commands
     */
    run(): Promise<any>;
    private sfpowerkitHeader;
}
